Could not load type 'newtelligence.DasBlog.Web.Global'.

Jul 16, 2008 at 2:07 PM
Trying to install DasBlog 2.1 onto my shared Crystal-tech account and am getting this error. Can anyone give a clue as to what it may point to?

I THINK I have the site.config and web.config files set up properly.
Coordinator
Jul 16, 2008 at 3:14 PM
Is the framework version of the application set to 2.0 in IIS?
Jul 16, 2008 at 9:21 PM


paulb wrote:
Is the framework version of the application set to 2.0 in IIS?


Ahhhh you know my hosting account has the 3.5 framework. I wonder if I can force this app to use 2.0 or if I have to rebuild it.
Coordinator
Jul 17, 2008 at 12:00 AM
I think Paul was asking if your host has your site setup for asp.net 1.1 versus asp.net 2.0. The current version of dasB log runs under asp.net 2.0, not 1.1, but a site with asp.net 3.5 should also work just fine.

See this post: http://www.hanselman.com/blog/HowToSetAnIISApplicationOrAppPoolToUseASPNET35RatherThan20.aspx

You didn't really say what error your getting, so we can't help much.

Please review the other posts here and the history at the old forums, tons of good info at both places.

Luck
Tom
Jul 17, 2008 at 12:22 AM


tomwatts wrote:
I think Paul was asking if your host has your site setup for asp.net 1.1 versus asp.net 2.0. The current version of dasB log runs under asp.net 2.0, not 1.1, but a site with asp.net 3.5 should also work just fine.

See this post: http://www.hanselman.com/blog/HowToSetAnIISApplicationOrAppPoolToUseASPNET35RatherThan20.aspx

You didn't really say what error your getting, so we can't help much.

Please review the other posts here and the history at the old forums, tons of good info at both places.

Luck
Tom

Actually, the error I was getting was the subject line :)

I seemed to have resolved the problem though. I rebuilt the site source using VS 2008 targeting the 3.5 framework, edited my config files back to the way I had them, re-uploaded the entire site and it worked!